
_interrupt:

;main.c,27 :: 		void interrupt() {
;main.c,28 :: 		decodePacket();
	CALL        _decodePacket+0, 0
;main.c,29 :: 		}
L_end_interrupt:
L__interrupt7:
	RETFIE      1
; end of _interrupt

_coilsCallBack:

;main.c,33 :: 		void coilsCallBack(void) {
;main.c,34 :: 		LATB = ((byte*)pCurrBlock->paryData)[0];
	MOVLW       6
	ADDWF       _pCurrBlock+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      _pCurrBlock+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVFF       R0, FSR0
	MOVFF       R1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       LATB+0 
;main.c,35 :: 		}
L_end_coilsCallBack:
	RETURN      0
; end of _coilsCallBack

_statusCallBack:

;main.c,39 :: 		void statusCallBack(void) {
;main.c,41 :: 		}
L_end_statusCallBack:
	RETURN      0
; end of _statusCallBack

_holdingRegCallBack:

;main.c,45 :: 		void holdingRegCallBack(void) {
;main.c,46 :: 		LATB = ((uint*)pCurrBlock->paryData)[0];
	MOVLW       6
	ADDWF       _pCurrBlock+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      _pCurrBlock+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVFF       R0, FSR0
	MOVFF       R1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       LATB+0 
;main.c,47 :: 		}
L_end_holdingRegCallBack:
	RETURN      0
; end of _holdingRegCallBack

_main:

;main.c,51 :: 		void main() {
;main.c,54 :: 		ANSELB = 0;
	CLRF        ANSELB+0 
;main.c,55 :: 		ANSELD = 0;
	CLRF        ANSELD+0 
;main.c,57 :: 		TRISB = 0;
	CLRF        TRISB+0 
;main.c,59 :: 		TRISD = 0xff;
	MOVLW       255
	MOVWF       TRISD+0 
;main.c,61 :: 		LATB = 0;
	CLRF        LATB+0 
;main.c,63 :: 		modbusSerialInit(BAUD_115200, 1);
	MOVLW       128
	MOVWF       FARG_modbusSerialInit_eBaud+0 
	MOVLW       4
	MOVWF       FARG_modbusSerialInit_eBaud+1 
	MOVLW       1
	MOVWF       FARG_modbusSerialInit_bytStopBits+0 
	CALL        _modbusSerialInit+0, 0
;main.c,65 :: 		memset(arybytCoils,        0, sizeof(arybytCoils));
	MOVLW       main_arybytCoils+0
	MOVWF       FARG_memset_p1+0 
	MOVLW       hi_addr(main_arybytCoils+0)
	MOVWF       FARG_memset_p1+1 
	CLRF        FARG_memset_character+0 
	MOVLW       1
	MOVWF       FARG_memset_n+0 
	MOVLW       0
	MOVWF       FARG_memset_n+1 
	CALL        _memset+0, 0
;main.c,66 :: 		memset(arybytStatusBits,   0, sizeof(arybytStatusBits));
	MOVLW       main_arybytStatusBits+0
	MOVWF       FARG_memset_p1+0 
	MOVLW       hi_addr(main_arybytStatusBits+0)
	MOVWF       FARG_memset_p1+1 
	CLRF        FARG_memset_character+0 
	MOVLW       1
	MOVWF       FARG_memset_n+0 
	MOVLW       0
	MOVWF       FARG_memset_n+1 
	CALL        _memset+0, 0
;main.c,67 :: 		memset(aryuintHoldingRegs, 0, sizeof(aryuintHoldingRegs));
	MOVLW       main_aryuintHoldingRegs+0
	MOVWF       FARG_memset_p1+0 
	MOVLW       hi_addr(main_aryuintHoldingRegs+0)
	MOVWF       FARG_memset_p1+1 
	CLRF        FARG_memset_character+0 
	MOVLW       4
	MOVWF       FARG_memset_n+0 
	MOVLW       0
	MOVWF       FARG_memset_n+1 
	CALL        _memset+0, 0
;main.c,68 :: 		memset(aryuintInputRegs,   0, sizeof(aryuintInputRegs));
	MOVLW       main_aryuintInputRegs+0
	MOVWF       FARG_memset_p1+0 
	MOVLW       hi_addr(main_aryuintInputRegs+0)
	MOVWF       FARG_memset_p1+1 
	CLRF        FARG_memset_character+0 
	MOVLW       2
	MOVWF       FARG_memset_n+0 
	MOVLW       0
	MOVWF       FARG_memset_n+1 
	CALL        _memset+0, 0
;main.c,70 :: 		addModbusBlock(1, COILS,             &coilsBlock,       1, 8,
	MOVLW       1
	MOVWF       FARG_addModbusBlock_bytSlaveAddress+0 
	MOVLW       1
	MOVWF       FARG_addModbusBlock_eType+0 
	MOVLW       main_coilsBlock+0
	MOVWF       FARG_addModbusBlock_pBlock+0 
	MOVLW       hi_addr(main_coilsBlock+0)
	MOVWF       FARG_addModbusBlock_pBlock+1 
	MOVLW       1
	MOVWF       FARG_addModbusBlock_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_uintAddress+1 
	MOVLW       8
	MOVWF       FARG_addModbusBlock_uintTotal+0 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_uintTotal+1 
;main.c,71 :: 		(void*)arybytCoils, coilsCallBack);
	MOVLW       main_arybytCoils+0
	MOVWF       FARG_addModbusBlock_paryData+0 
	MOVLW       hi_addr(main_arybytCoils+0)
	MOVWF       FARG_addModbusBlock_paryData+1 
	MOVLW       _coilsCallBack+0
	MOVWF       FARG_addModbusBlock_pCallback+0 
	MOVLW       hi_addr(_coilsCallBack+0)
	MOVWF       FARG_addModbusBlock_pCallback+1 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_pCallback+2 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_pCallback+3 
	CALL        _addModbusBlock+0, 0
;main.c,72 :: 		addModbusBlock(1, STATUS_INPUTS,     &statusBitsBlock,  1, 8,
	MOVLW       1
	MOVWF       FARG_addModbusBlock_bytSlaveAddress+0 
	MOVLW       2
	MOVWF       FARG_addModbusBlock_eType+0 
	MOVLW       main_statusBitsBlock+0
	MOVWF       FARG_addModbusBlock_pBlock+0 
	MOVLW       hi_addr(main_statusBitsBlock+0)
	MOVWF       FARG_addModbusBlock_pBlock+1 
	MOVLW       1
	MOVWF       FARG_addModbusBlock_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_uintAddress+1 
	MOVLW       8
	MOVWF       FARG_addModbusBlock_uintTotal+0 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_uintTotal+1 
;main.c,73 :: 		(void*)arybytStatusBits, statusCallBack);
	MOVLW       main_arybytStatusBits+0
	MOVWF       FARG_addModbusBlock_paryData+0 
	MOVLW       hi_addr(main_arybytStatusBits+0)
	MOVWF       FARG_addModbusBlock_paryData+1 
	MOVLW       _statusCallBack+0
	MOVWF       FARG_addModbusBlock_pCallback+0 
	MOVLW       hi_addr(_statusCallBack+0)
	MOVWF       FARG_addModbusBlock_pCallback+1 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_pCallback+2 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_pCallback+3 
	CALL        _addModbusBlock+0, 0
;main.c,74 :: 		addModbusBlock(1, HOLDING_REGISTERS, &holdingRegsBlock, 1, 2,
	MOVLW       1
	MOVWF       FARG_addModbusBlock_bytSlaveAddress+0 
	MOVLW       3
	MOVWF       FARG_addModbusBlock_eType+0 
	MOVLW       main_holdingRegsBlock+0
	MOVWF       FARG_addModbusBlock_pBlock+0 
	MOVLW       hi_addr(main_holdingRegsBlock+0)
	MOVWF       FARG_addModbusBlock_pBlock+1 
	MOVLW       1
	MOVWF       FARG_addModbusBlock_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_uintAddress+1 
	MOVLW       2
	MOVWF       FARG_addModbusBlock_uintTotal+0 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_uintTotal+1 
;main.c,75 :: 		(void*)aryuintHoldingRegs, holdingRegCallBack);
	MOVLW       main_aryuintHoldingRegs+0
	MOVWF       FARG_addModbusBlock_paryData+0 
	MOVLW       hi_addr(main_aryuintHoldingRegs+0)
	MOVWF       FARG_addModbusBlock_paryData+1 
	MOVLW       _holdingRegCallBack+0
	MOVWF       FARG_addModbusBlock_pCallback+0 
	MOVLW       hi_addr(_holdingRegCallBack+0)
	MOVWF       FARG_addModbusBlock_pCallback+1 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_pCallback+2 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_pCallback+3 
	CALL        _addModbusBlock+0, 0
;main.c,76 :: 		addModbusBlock(1, INPUT_REGISTERS,   &inputRegsBlock,   1, 1,
	MOVLW       1
	MOVWF       FARG_addModbusBlock_bytSlaveAddress+0 
	MOVLW       4
	MOVWF       FARG_addModbusBlock_eType+0 
	MOVLW       main_inputRegsBlock+0
	MOVWF       FARG_addModbusBlock_pBlock+0 
	MOVLW       hi_addr(main_inputRegsBlock+0)
	MOVWF       FARG_addModbusBlock_pBlock+1 
	MOVLW       1
	MOVWF       FARG_addModbusBlock_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_uintAddress+1 
	MOVLW       1
	MOVWF       FARG_addModbusBlock_uintTotal+0 
	MOVLW       0
	MOVWF       FARG_addModbusBlock_uintTotal+1 
;main.c,77 :: 		(void*)aryuintInputRegs, NULL);
	MOVLW       main_aryuintInputRegs+0
	MOVWF       FARG_addModbusBlock_paryData+0 
	MOVLW       hi_addr(main_aryuintInputRegs+0)
	MOVWF       FARG_addModbusBlock_paryData+1 
	CLRF        FARG_addModbusBlock_pCallback+0 
	CLRF        FARG_addModbusBlock_pCallback+1 
	CLRF        FARG_addModbusBlock_pCallback+2 
	CLRF        FARG_addModbusBlock_pCallback+3 
	CALL        _addModbusBlock+0, 0
;main.c,79 :: 		scheduleRequest(&coilsBlock,       &coilsSchedule);
	MOVLW       main_coilsBlock+0
	MOVWF       FARG_scheduleRequest_pBlock+0 
	MOVLW       hi_addr(main_coilsBlock+0)
	MOVWF       FARG_scheduleRequest_pBlock+1 
	MOVLW       main_coilsSchedule+0
	MOVWF       FARG_scheduleRequest_pSchedule+0 
	MOVLW       hi_addr(main_coilsSchedule+0)
	MOVWF       FARG_scheduleRequest_pSchedule+1 
	CALL        _scheduleRequest+0, 0
;main.c,80 :: 		scheduleRequest(&statusBitsBlock,  &statusSchedule);
	MOVLW       main_statusBitsBlock+0
	MOVWF       FARG_scheduleRequest_pBlock+0 
	MOVLW       hi_addr(main_statusBitsBlock+0)
	MOVWF       FARG_scheduleRequest_pBlock+1 
	MOVLW       main_statusSchedule+0
	MOVWF       FARG_scheduleRequest_pSchedule+0 
	MOVLW       hi_addr(main_statusSchedule+0)
	MOVWF       FARG_scheduleRequest_pSchedule+1 
	CALL        _scheduleRequest+0, 0
;main.c,81 :: 		scheduleRequest(&holdingRegsBlock, &holdingRegSchedule);
	MOVLW       main_holdingRegsBlock+0
	MOVWF       FARG_scheduleRequest_pBlock+0 
	MOVLW       hi_addr(main_holdingRegsBlock+0)
	MOVWF       FARG_scheduleRequest_pBlock+1 
	MOVLW       main_holdingRegSchedule+0
	MOVWF       FARG_scheduleRequest_pSchedule+0 
	MOVLW       hi_addr(main_holdingRegSchedule+0)
	MOVWF       FARG_scheduleRequest_pSchedule+1 
	CALL        _scheduleRequest+0, 0
;main.c,82 :: 		scheduleRequest(&inputRegsBlock,   &inputRegSchedule);
	MOVLW       main_inputRegsBlock+0
	MOVWF       FARG_scheduleRequest_pBlock+0 
	MOVLW       hi_addr(main_inputRegsBlock+0)
	MOVWF       FARG_scheduleRequest_pBlock+1 
	MOVLW       main_inputRegSchedule+0
	MOVWF       FARG_scheduleRequest_pSchedule+0 
	MOVLW       hi_addr(main_inputRegSchedule+0)
	MOVWF       FARG_scheduleRequest_pSchedule+1 
	CALL        _scheduleRequest+0, 0
;main.c,84 :: 		while (1) {
L_main0:
;main.c,85 :: 		serviceSchedule();
	CALL        _serviceSchedule+0, 0
;main.c,87 :: 		if ( Button(&PORTD, 0, 1, 1) ) {
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	CLRF        FARG_Button_pin+0 
	MOVLW       1
	MOVWF       FARG_Button_time_ms+0 
	MOVLW       1
	MOVWF       FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main2
;main.c,88 :: 		bytData[0] = 0x01;
	MOVLW       1
	MOVWF       main_bytData_L0+0 
;main.c,89 :: 		modifyBlock(&coilsSchedule, 1, 1, bytData);
	MOVLW       main_coilsSchedule+0
	MOVWF       FARG_modifyBlock_pSchedule+0 
	MOVLW       hi_addr(main_coilsSchedule+0)
	MOVWF       FARG_modifyBlock_pSchedule+1 
	MOVLW       1
	MOVWF       FARG_modifyBlock_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_modifyBlock_uintAddress+1 
	MOVLW       1
	MOVWF       FARG_modifyBlock_uintTotal+0 
	MOVLW       0
	MOVWF       FARG_modifyBlock_uintTotal+1 
	MOVLW       main_bytData_L0+0
	MOVWF       FARG_modifyBlock_pData+0 
	MOVLW       hi_addr(main_bytData_L0+0)
	MOVWF       FARG_modifyBlock_pData+1 
	CALL        _modifyBlock+0, 0
;main.c,90 :: 		}
L_main2:
;main.c,91 :: 		if ( Button(&PORTD, 1, 1, 1) ) {
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       1
	MOVWF       FARG_Button_pin+0 
	MOVLW       1
	MOVWF       FARG_Button_time_ms+0 
	MOVLW       1
	MOVWF       FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main3
;main.c,92 :: 		bytData[0] = 0x3d;
	MOVLW       61
	MOVWF       main_bytData_L0+0 
;main.c,93 :: 		modifyBlock(&coilsSchedule, 1, 7, bytData);
	MOVLW       main_coilsSchedule+0
	MOVWF       FARG_modifyBlock_pSchedule+0 
	MOVLW       hi_addr(main_coilsSchedule+0)
	MOVWF       FARG_modifyBlock_pSchedule+1 
	MOVLW       1
	MOVWF       FARG_modifyBlock_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_modifyBlock_uintAddress+1 
	MOVLW       7
	MOVWF       FARG_modifyBlock_uintTotal+0 
	MOVLW       0
	MOVWF       FARG_modifyBlock_uintTotal+1 
	MOVLW       main_bytData_L0+0
	MOVWF       FARG_modifyBlock_pData+0 
	MOVLW       hi_addr(main_bytData_L0+0)
	MOVWF       FARG_modifyBlock_pData+1 
	CALL        _modifyBlock+0, 0
;main.c,94 :: 		}
L_main3:
;main.c,95 :: 		if ( Button(&PORTD, 2, 1, 1) ) {
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       2
	MOVWF       FARG_Button_pin+0 
	MOVLW       1
	MOVWF       FARG_Button_time_ms+0 
	MOVLW       1
	MOVWF       FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main4
;main.c,96 :: 		bytData[0] = 0xca;
	MOVLW       202
	MOVWF       main_bytData_L0+0 
;main.c,97 :: 		bytData[1] = 0xca;
	MOVLW       202
	MOVWF       main_bytData_L0+1 
;main.c,98 :: 		modifyBlock(&holdingRegSchedule, 1, 1, bytData);
	MOVLW       main_holdingRegSchedule+0
	MOVWF       FARG_modifyBlock_pSchedule+0 
	MOVLW       hi_addr(main_holdingRegSchedule+0)
	MOVWF       FARG_modifyBlock_pSchedule+1 
	MOVLW       1
	MOVWF       FARG_modifyBlock_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_modifyBlock_uintAddress+1 
	MOVLW       1
	MOVWF       FARG_modifyBlock_uintTotal+0 
	MOVLW       0
	MOVWF       FARG_modifyBlock_uintTotal+1 
	MOVLW       main_bytData_L0+0
	MOVWF       FARG_modifyBlock_pData+0 
	MOVLW       hi_addr(main_bytData_L0+0)
	MOVWF       FARG_modifyBlock_pData+1 
	CALL        _modifyBlock+0, 0
;main.c,99 :: 		}
L_main4:
;main.c,100 :: 		if ( Button(&PORTD, 3, 1, 1) ) {
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       3
	MOVWF       FARG_Button_pin+0 
	MOVLW       1
	MOVWF       FARG_Button_time_ms+0 
	MOVLW       1
	MOVWF       FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main5
;main.c,101 :: 		bytData[0] = 0x04;
	MOVLW       4
	MOVWF       main_bytData_L0+0 
;main.c,102 :: 		bytData[1] = 0xd2;
	MOVLW       210
	MOVWF       main_bytData_L0+1 
;main.c,103 :: 		bytData[2] = 0x16;
	MOVLW       22
	MOVWF       main_bytData_L0+2 
;main.c,104 :: 		bytData[3] = 0x2e;
	MOVLW       46
	MOVWF       main_bytData_L0+3 
;main.c,105 :: 		modifyBlock(&holdingRegSchedule, 1, 2, bytData);
	MOVLW       main_holdingRegSchedule+0
	MOVWF       FARG_modifyBlock_pSchedule+0 
	MOVLW       hi_addr(main_holdingRegSchedule+0)
	MOVWF       FARG_modifyBlock_pSchedule+1 
	MOVLW       1
	MOVWF       FARG_modifyBlock_uintAddress+0 
	MOVLW       0
	MOVWF       FARG_modifyBlock_uintAddress+1 
	MOVLW       2
	MOVWF       FARG_modifyBlock_uintTotal+0 
	MOVLW       0
	MOVWF       FARG_modifyBlock_uintTotal+1 
	MOVLW       main_bytData_L0+0
	MOVWF       FARG_modifyBlock_pData+0 
	MOVLW       hi_addr(main_bytData_L0+0)
	MOVWF       FARG_modifyBlock_pData+1 
	CALL        _modifyBlock+0, 0
;main.c,106 :: 		}
L_main5:
;main.c,107 :: 		}
	GOTO        L_main0
;main.c,108 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
